PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Enumerations
picout.h File Reference

Universal output to console class. More...

## Classes
class | PICout
| Class for formatted output similar std::cout. More...

## Namespaces
| PICoutManipulators
| Namespace contains enums controlled PICout.

## Macros
#define | piCout
| Macro used for conditional (piDebug) output to PICout.

## Enumerations
enum | PICoutManipulators::PICoutSpecialChar { PICoutManipulators::Null, PICoutManipulators::NewLine, PICoutManipulators::Tab, PICoutManipulators::Esc, PICoutManipulators::Quote }
| Enum contains special characters. More...
enum | PICoutManipulators::PICoutAction { PICoutManipulators::Flush, PICoutManipulators::Backspace, PICoutManipulators::ShowCursor, PICoutManipulators::HideCursor, PICoutManipulators::ClearLine, PICoutManipulators::ClearScreen, PICoutManipulators::SaveContol, PICoutManipulators::RestoreControl }
| Enum contains immediate action. More...
enum | PICoutManipulators::PICoutControl { PICoutManipulators::AddNone = 0x0, PICoutManipulators::AddSpaces = 0x1, PICoutManipulators::AddNewLine = 0x2, PICoutManipulators::AddQuotes = 0x4, PICoutManipulators::AddAll = 0xFFFFFFFF }
| Enum contains control of PICout. More...
enum | PICoutManipulators::PICoutFormat { PICoutManipulators::Bin = 0x01, PICoutManipulators::Oct = 0x02, PICoutManipulators::Dec = 0x04, PICoutManipulators::Hex = 0x08, PICoutManipulators::Bold = 0x10 , PICoutManipulators::Underline = 0x80, PICoutManipulators::Blink = 0x100, PICoutManipulators::Black = 0x400, PICoutManipulators::Red = 0x800, PICoutManipulators::Green = 0x1000, PICoutManipulators::Blue = 0x2000, PICoutManipulators::Yellow = 0x4000, PICoutManipulators::Magenta = 0x8000, PICoutManipulators::Cyan = 0x10000, PICoutManipulators::White = 0x20000, PICoutManipulators::BackBlack = 0x40000, PICoutManipulators::BackRed = 0x80000, PICoutManipulators::BackGreen = 0x100000, PICoutManipulators::BackBlue = 0x200000, PICoutManipulators::BackYellow = 0x400000, PICoutManipulators::BackMagenta = 0x800000, PICoutManipulators::BackCyan = 0x1000000, PICoutManipulators::BackWhite = 0x2000000, PICoutManipulators::Default = 0x4000000 }
| Enum contains output format. More...

## Detailed Description

Universal output to console class.